﻿Imports System.ServiceModel

' メモ: コンテキスト メニューの [名前の変更] コマンドを使用すると、コードと config ファイルの両方で同時にインターフェイス名 "IChannelService" を変更できます。
<ServiceContract()>
Public Interface IChannelService

    <OperationContract()>
    Sub DoWork()

    <OperationContract()>
    <WebGet(ResponseFormat:=WebMessageFormat.Json)>
    Function SetChannelUri(ByVal userID As String, ByVal uri As String) As ResponseType
End Interface

<DataContract()>
Public Class ResponseType
    <DataMember()>
    Public Property IsOK As Boolean
    <DataMember()>
    Public Property Message As String
End Class
