﻿Imports System.ServiceModel.Syndication
Imports System.IO
Imports System.Text
Imports System

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' コンストラクター
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles Me.Loaded
        Dim cli As New WebClient
        AddHandler cli.DownloadStringCompleted, AddressOf cli_DownloadStringCompleted
        cli.DownloadStringAsync(New Uri("http://blogs.msdn.com/b/shintak/rss.aspx", UriKind.Absolute))

    End Sub

    Private Sub cli_DownloadStringCompleted(sender As Object, e As DownloadStringCompletedEventArgs)
        If e.Error IsNot Nothing Then
            MessageBox.Show("エラー:" & e.Error.Message)
        Else
            Dim sr As New StringReader(e.Result)
            Dim xr As XmlReader = XmlReader.Create(sr)
            Dim sf As SyndicationFeed = SyndicationFeed.Load(xr)
            Me.DataContext = sf
        End If
    End Sub
End Class


