﻿Public Class SendToast
    Implements ISendNotificatoin

    Public Function SendNotification(channelUri As String,
                                     title As String,
                                     content As String) As Boolean Implements ISendNotificatoin.SendNotification
        Dim isOK As Boolean = False
        Dim req As Net.HttpWebRequest = CType(Net.WebRequest.Create(channelUri), Net.HttpWebRequest)
        Dim xmldata As XDocument = <?xml version="1.0" encoding="utf-8"?>
                                   <wp:Notification xmlns:wp="WPNotification">
                                       <wp:Toast>
                                           <wp:Text1><%= title %></wp:Text1>
                                           <wp:Text2><%= content %></wp:Text2>
                                           <wp:Param>/CouponPage.xaml</wp:Param>
                                       </wp:Toast>
                                   </wp:Notification>
        Dim notificationMessage As Byte() = Encoding.UTF8.GetBytes(XElement.Parse(xmldata.ToString).ToString)

        req.Method = "POST"
        req.Headers.Add("X-MessageID", Guid.NewGuid.ToString)
        req.ContentLength = notificationMessage.Length
        'トースト通知
        req.ContentType = "text/xml"
        req.Headers.Add("X-WindowsPhone-Target", "toast")
        req.Headers.Add("X-NotificationClass", "2")
        Using reqStream As IO.Stream = req.GetRequestStream
            reqStream.Write(notificationMessage, 0, notificationMessage.Length)
            reqStream.Close()
        End Using
        isOK = True
        Return isOK
    End Function
End Class

Public Class SendTile
    Implements ISendNotificatoin

    Public Function SendNotification(channelUri As String,
                                     title As String,
                                     content As String) As Boolean Implements ISendNotificatoin.SendNotification
        Dim isOK As Boolean = False
        Dim req As Net.HttpWebRequest = CType(Net.WebRequest.Create(channelUri), Net.HttpWebRequest)
        Dim xmldata As XDocument = <?xml version="1.0" encoding="utf-8"?>
                                   <wp:Notification xmlns:wp="WPNotification">
                                       <wp:Tile>
                                           <wp:Count>1</wp:Count>
                                           <wp:BackTitle><%= title %></wp:BackTitle>
                                           <wp:BackContent><%= content %></wp:BackContent>
                                       </wp:Tile>
                                   </wp:Notification>
        Dim notificationMessage As Byte() = Encoding.UTF8.GetBytes(XElement.Parse(xmldata.ToString).ToString)

        req.Method = "POST"
        req.Headers.Add("X-MessageID", Guid.NewGuid.ToString)
        req.ContentLength = notificationMessage.Length
        'タイル通知
        req.ContentType = "text/xml"
        req.Headers.Add("X-WindowsPhone-Target", "token")
        req.Headers.Add("X-NotificationClass", "1")
        Using reqStream As IO.Stream = req.GetRequestStream
            reqStream.Write(notificationMessage, 0, notificationMessage.Length)
            reqStream.Close()
        End Using
        isOK = True
        Return isOK
    End Function
End Class
